<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Iconic_WSB_Shortcodes.
 *
 * Register shortcodes.
 *
 * @class    Iconic_WSB_Shortcodes
 * @version  1.0.0
 */
class Iconic_WSB_Shortcodes {
	/**
	 * Run.
	 */
	public static function run() {
		add_action( 'init', array( __CLASS__, 'register_shortcodes' ), 10 );
	}

	/**
	 * Register Shortcodes.
	 */
	public static function register_shortcodes() {
		add_shortcode( 'iconic_wsb_fbt', array( __CLASS__, 'iconic_wsb_fbt_shortcode' ) );
	}

	/**
	 * Register Frequently Bought Together Shortcodes.
	 *
	 * @param array $attributes Attributes.
	 */
	public static function iconic_wsb_fbt_shortcode( $attributes ) {
		global $product;

		$bump_product_page_manager = Iconic_WSB_Order_Bump_Product_Page_Manager::get_instance();

		$product_id = isset( $attributes['product_id'] ) ? intval( $attributes['product_id'] ) : null;

		ob_start();

		// If this is not a product page, add an area for the notices to go.
		if ( ! is_product() ) {
			echo '<div class="woocommerce-notices-wrapper"></div>';
		}

		// Render the FBT panel.
		$bump_product_page_manager->frontend_product_page_order_bump( $product_id );

		return ob_get_clean();
	}
}
